org.eclipse.gmt.modisco.infra.prefuse.examples.treeview

## Class TreeView

- java.lang.Object
- - Display
  - - org.eclipse.gmt.modisco.infra.prefuse.examples.treeview.TreeView

    public class TreeView
    extends Display

Demonstration of a node-link tree viewer

Version:
  1.0

### Constructor Summary

Constructors
Constructor and Description
`TreeView(Graph t, java.lang.String label, java.lang.String image)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getOrientation()`
`void` `setOrientation(int orientation)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeView

    public TreeView(Graph t,
                    java.lang.String label,
                    java.lang.String image)

### Method Detail

#### setOrientation

    public void setOrientation(int orientation)

#### getOrientation

    public int getOrientation()